import request from '@/utils/request'

// 查询宇泛的设备信息列表
export function listAttendance_ubi_device(query) {
  return request({
    url: '/manage/attendance_ubi_device/list',
    method: 'get',
    params: query
  })
}

// 查询宇泛的设备信息详细
export function getAttendance_ubi_device(id) {
  return request({
    url: '/manage/attendance_ubi_device/' + id,
    method: 'get'
  })
}

// 新增宇泛的设备信息
export function addAttendance_ubi_device(data) {
  return request({
    url: '/manage/attendance_ubi_device',
    method: 'post',
    data: data
  })
}

// 修改宇泛的设备信息
export function updateAttendance_ubi_device(data) {
  return request({
    url: '/manage/attendance_ubi_device',
    method: 'put',
    data: data
  })
}

// 删除宇泛的设备信息
export function delAttendance_ubi_device(id) {
  return request({
    url: '/manage/attendance_ubi_device/' + id,
    method: 'delete'
  })
}


// 宇泛的设备人员信息同步
export function authAttendance_ubi_device(data) {
  return request({
    url: '/manage/attendance_ubi_device/auth',
    method: 'post',
    data: data
  })
}
